{% extends 'base.html.twig' %}

{% block title %} Users Managment{% endblock %}
{% block myTitle %} 
    Users Administration
{% endblock %}
{% block body %}
    {% for message in app.flashes('success') %}
        <div class="alert alert-success">
            {{ message }}
        </div>
    {% endfor %}

    {# <a href="{{ path('app_admin_subscription_creation') }}" class="btn btn-success"> Add Subscription</a> #}
    {% set admin = 'ADMIN' %}

                <table class="table text-center">
                    <tr class="table-primary">
                        <td> Username </td>                               
                        <td> Last Payment Date </td>                               
                        <td> Last Renewa Date </td>                               
                        <td> Is Admin</td>                                                         
                        <td> Action </td>                               
                    </tr>
                    {% for user in users %}
                        <tr>
                            <td> <strong>{{ user.username }}</strong></td>
                            <td> {{ user.lastPaymentDate|date('Y-m-d H:i:s') }}</td>
                            <td> {{ user.lastRenewalDate|date('Y-m-d H:i:s') }}</td>
                            <td> 
                                {% if admin in user.roles %}
                                    ADMIN
                                {% else %}
                                    USER
                                {% endif %}
                            </td>
                            <td>
                                <a href="{{ path('app_admin_user_purchases', {'id' : user.id }) }}" class="btn btn-secondary"> Show Purchases </a>
                                {# <form method="POST"  style="display:inline-block" action="{{ path('app_admin_aliment_delete', {'id' : aliment.id }) }}">
                                    <input type="hidden" name="_method" value="delete">
                                    <input type="hidden" name="_token" value="{{csrf_token('SUP'~ aliment.id )}}">
                                    <input type="submit" class="btn btn-danger" value="Supprimer" onsubmit="return confirm('Confirmer la suppression ?') ">
                                </form> #}
                                {# <a href="{{ path('app_admin_aliment_delete', {'property' : 5 }) }}" class="btn btn-danger"> Supprimer </a> #}
                            </td>
                        </tr> 
                    {% endfor %}
                </table>
{% endblock %}
